/* Resetando todos os estilos padrão */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

html, body {
  width: 100%;
  height: 100%;
  overflow-x: hidden; /* Impede rolagem horizontal */
}

/* Estilo para as colunas dentro do container */
.containerColuna1 {
    padding: 1rem; /* Padding de 1 rem */
    width: 100%; /* Largura total */
    height: 100%; /* Altura total */
    display: center; /* Flexbox para layout */
    flex-direction: column; /* Direção de coluna */
    justify-content: space-between; /* Espaçamento entre os itens */
    text-align: center; /* Centraliza o texto */
    align-items: center; /* Alinha os itens à esquerda */
    min-height: 300px; /* Define uma altura mínima */
}

.containerColuna2 {
    padding: 2rem 3rem 2rem 3rem; /* Padding específico para a coluna 2 */
    width: 100%; /* Largura total */
    height: 100%; /* Altura total */
    justify-content: center; /* Alinha o conteúdo ao centro */
    align-items: center; /* Alinha o conteúdo ao centro */
}


/* Container de conteúdo */
.conteudo {
    margin: 2px; /* Margin interna */
    justify-content: center; /* Alinha o conteúdo ao centro */
    align-items: center; /* Alinha o conteúdo ao centro */
}

/* Estilo para título e imagem juntos */
.titulo_imagem {
    display: flex; /* Layout flex */
    flex-direction: row; /* Alinha os itens em linha */
    align-items: center; /* Alinha os itens no centro verticalmente */
    justify-content: center; /* Centraliza horizontalmente */
}

/* Estilos para as imagens */
.imgFoto {
    width: 270px; /* Largura fixa */
    height: 270px; /* Altura fixa */
    max-width: 100%; /* Largura máxima de 100% */
    height: auto; /* Mantém a proporção */
    display: block; /* Exibe como bloco */
    object-fit: contain; /* Mantém a imagem visível dentro do contêiner */
    margin-left: auto; /* Centraliza à esquerda */
    margin-right: auto; /* Centraliza à direita */
}


/* Ajustes para telas menores (em ordem decrescente) */

/* Telas menores que 485px */
@media (max-width: 548px) {
    .containerColuna2 {
        padding: 73vw 1vw 79vw 1vw; /* Padding específico para a coluna 2 */
    }
    .titulo_imagem {
        display: contents;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .imgFoto {
        max-width: 60%;
        
    }
    
}


